static inline void
dgemm(char TRANSA, char TRANSB, long M, long N, long K, double ALPHA,
      const double *A, long LDA, const double *B, long LDB, double BETA,
      double *C, long LDC)
{
  extern void dgemm_(const char *TRANSAp, const char *TRANSBp,
                     const long *Mp, const long *Np, const long *Kp,
                     const double *ALPHAp, const double *A,
                     const long *LDAp, const double *B, const long *LDBp,
                     const double *BETAp, double *C, const long *LDCp);
  dgemm_(&TRANSA, &TRANSB, &M, &N, &K, &ALPHA, A, &LDA, B, &LDB, &BETA, C,
         &LDC);
}
