static inline void
sgemm (char TRANSA, char TRANSB, long M, long N, long K, float ALPHA,
       const float *A, long LDA, const float *B, long LDB, float BETA,
       float *C, long LDC)
{
  extern void sgemm_ (const char *TRANSAp, const char *TRANSBp,
		      const long *Mp, const long *Np, const long *Kp,
		      const float *ALPHAp, const float *A,
		      const long *LDAp, const float *B, const long *LDBp,
		      const float *BETAp, float *C, const long *LDCp);
  sgemm_ (&TRANSA, &TRANSB, &M, &N, &K, &ALPHA, A, &LDA, B, &LDB, &BETA, C,
          &LDC);
}
